<?
echo '<?xml version="1.0" encoding="utf-8"?>';

?><!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
<title>Процесс установки iSocCMS, шаг 2</title>

<link rel="stylesheet" href="/style/themes/default/style.css" type="text/css" />
</head>
<body>
<?
$set=array(); // массив с настройками
$set_default=array();
$set_dinamic=array();
$set_replace=array();

// загрузка настроек по умолчанию. Позволяет исключить отсутствие неопределенных переменных
$default=@parse_ini_file($_SERVER['DOCUMENT_ROOT'].'/sys/dat/default.ini',true);
$set_default=@$default['DEFAULT'];
$set_replace=@$default['REPLACE'];

if ($fset=@file_get_contents($_SERVER['DOCUMENT_ROOT'].'/sys/dat/settings_6.2.dat'))
{
$set_dinamic=unserialize($fset);
}

$set = @array_merge ($set_default, $set_dinamic, $set_replace);
function save_settings($set){
unset($set['web']);
if ($fopen=@fopen($_SERVER['DOCUMENT_ROOT'].'/sys/dat/settings_6.2.dat', 'w')){
@fputs($fopen, serialize($set));
@fclose($fopen);
@chmod($_SERVER['DOCUMENT_ROOT'].'/sys/dat/settings_6.2.dat', 0777);
return true;}
else
return false;}
$temp_set=$set;
if (isset($_POST['save']))
{


$temp_set['mysql_host']=$_POST['mysql_host'];
$temp_set['mysql_user']=$_POST['mysql_user'];
$temp_set['mysql_pass']=$_POST['mysql_pass'];
$temp_set['mysql_db_name']=$_POST['mysql_db_name'];




if (save_settings($temp_set))
{
echo '<div class="msg">Настройки успешно приняты</div>';
echo '<div class="txt"><a href="/index.php">Перейти на сайт</a></div>';

}

else
echo '<div class="err">Нет прав для изменения файла настроек</div>';
}


echo '<div class="dop_menu"><a href="'.$_SERVER['REQUEST_URL'].'">ОБНОВИТЬ</a></div>';
echo "<form method=\"post\" action=\"?\">\n";

echo "mysql_host:<br />\n<input name=\"mysql_host\" value=\"$set[mysql_host]\" type=\"text\" /><br />\n";
echo "mysql_user:<br />\n<input name=\"mysql_user\" value=\"$set[mysql_user]\" type=\"text\" /><br />\n";
echo "mysql_pass:<br />\n<input name=\"mysql_pass\" value=\"$set[mysql_pass]\" type=\"text\" /><br />\n";
echo "mysql_db_name:<br />\n<input name=\"mysql_db_name\" value=\"$set[mysql_db_name]\" type=\"text\" /><br />\n";

echo "<input value=\"Сохранить\" name='save' type=\"submit\" />\n";
echo "</form>\n";
echo '<div class="div"><b>После установки ОБЯЗАТЕЛЬНО удалите папку <u>/install</u></div>';

echo '<div class="pa"><a href="http://fa-z.ru">Не получается установить?</a></div>';
echo '<div class="copy"><a href="http://fa-z.ru">Офф. сайт iSocCMS</a></div>';
echo '</body>';
?>